CVE-2015-5162

Published: 07 October 2016

The image parser in OpenStack Cinder 7.0.2 and 8.0.0 through 8.1.1; Glance before 11.0.1 and 12.0.0; and Nova before 12.0.4 and 13.0.0 does not properly limit qemu-img calls, which might allow attackers to cause a denial of service (memory and disk consumption) via a crafted disk image.

Priority

Medium

CVSS 3 base score: 7.5

Status

Package Release Status
nova
Launchpad, Ubuntu, Debian
Upstream
Released (12.0.4)
Ubuntu 16.04 LTS (Xenial Xerus) Not vulnerable
(2:13.1.4-0ubuntu3)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was released [1:2014.1.5-0ubuntu1.7])
Patches:
Upstream: https://review.openstack.org/#/c/327624/ (liberty)